package com.atguigu.tingshu.common.login;

import java.lang.annotation.*;

/**
 * 自定义注解：修饰方法，判断用户是否登录
 * @Target: 定义注解所修饰的对象范围 ElementType.TYPE：类或接口；ElementType.FIELD：字段；ElementType.METHOD：方法；ElementType.PARAMETER：参数；ElementType.CONSTRUCTOR：构造方法；ElementType.LOCAL_VARIABLE：局部变量；ElementType.ANNOTATION_TYPE：注解；ElementType.PACKAGE：包
 * @Retention: 定义注解存活保留阶段，SOURCE：源代码；CLASS：class文件；RUNTIME：运行时
 * @Inherited: 子类可以继承父类中的注解
 * @Documented: 注解是否被包含在JavaDoc中
 */
@Target({ElementType.METHOD})
@Retention(RetentionPolicy.RUNTIME)
@Inherited
@Documented
public @interface GuiGuLogin {

    /**
     * 是否需要登录
     * @return
     */
    boolean required() default true;
}
